> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orcrev.fit/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services

> Get a paginated list of all available services

# List Services

Retrieve a paginated list of all available services with their current status and online counts.

## Query Parameters

<ParamField query="page" type="integer" default="1">
  Page number for pagination (1-indexed)
</ParamField>

<ParamField query="pageSize" type="integer" default="30">
  Number of items per page
</ParamField>

<ParamField query="fast" type="string" default="1">
  Set to "0" to disable fast mode caching. Fast mode uses cached data with 30s TTL.
</ParamField>

## Response

<ResponseField name="items" type="array">
  Array of service objects

  <Expandable title="Service Object">
    <ResponseField name="slug" type="string">
      Unique identifier for the service
    </ResponseField>

    <ResponseField name="name" type="string">
      Display name of the service
    </ResponseField>

    <ResponseField name="online" type="number">
      Current online player count
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status (online/offline)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="page" type="integer">
  Current page number
</ResponseField>

<ResponseField name="pageSize" type="integer">
  Number of items per page
</ResponseField>

<ResponseField name="total" type="integer">
  Total number of services
</ResponseField>

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://www.orcrev.fit/api/services?page=1&pageSize=10"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('/api/services?page=1&pageSize=10');
  const data = await response.json();
  console.log(data.items);
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "items": [
    {
      "slug": "example-service",
      "name": "Example Service",
      "online": 1250,
      "status": "online"
    }
  ],
  "page": 1,
  "pageSize": 10,
  "total": 45
}
```

<ResponseExample>
  ```json Response theme={null}
  {
    "items": [
      {
        "slug": "example-service",
        "name": "Example Service",
        "online": 1250,
        "status": "online"
      }
    ],
    "page": 1,
    "pageSize": 10,
    "total": 45
  }
  ```
</ResponseExample>
